SDL_HasEvent(3)

NAME
SDL_HasEvent - Check for the existence of a certain event type in the event queue.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasEvent(Uint32 type);

DESCRIPTION
If you need to check for a range of event types, use

SDL_HasEvents () instead.

FUNCTION PARAMETERS

type
    the type of event to be queried; see SDL_EventType
     for details.

RETURN VALUE
Returns true if events matching type are present, or false if events matching type are not present.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_HasEvents(3)